<bugID>1056458<Summary>Expose automation events on the server for the web audio editor</Summary><Description>It would be awesome if we built a visualizer that showed the value of an AudioParam over time.  The Web Audio spec defines how they are to be interpreted, and based on those rules we should be able to build a graph for the value changes over time.

If you agree, I can add a ChromeOnly API which gives you access to these automation events, because the content-visible AudioParam interface doesn't expose them.

The algorithm to compute the value at a given point in time is kind of complicated, but it's already implemented here in C++: &lt;http://mxr.mozilla.org/mozilla-central/source/content/media/AudioEventTimeline.h#263&gt;.  We should be able to easily rewrite that into JS.  However that is suboptimal from a performance view, since that algorithm is not efficient for computing a large range of adjacent times.  So perhaps we may want to develop an algorithm more suited towards filling ranges of times for this.

Jason, what do you think?</Description></bugID>